%{?mingw_package_header}

Name:           mingw-pixman
Version:        0.40.0
Release:        %mkrel 2
Summary:        MinGW Windows Pixman library

License:        MIT
URL:            http://cgit.freedesktop.org/pixman/
Group:          Development/Other

Source0:        http://cairographics.org/releases/pixman-%{version}.tar.gz
Source1:        make-pixman-snapshot.sh

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libgomp

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-libgomp

BuildRequires:  gcc
BuildRequires:  meson


%description
MinGW Windows Pixman library.


# Win32
%package -n mingw32-pixman
Summary:        MinGW Windows Pixman library

%description -n mingw32-pixman
MinGW Windows Pixman library.


%package -n mingw32-pixman-static
Summary:        Static version of the MinGW Windows Pixman library
Requires:       mingw32-pixman = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-pixman-static
Static version of the MinGW Windows Pixman library.

# Win64
%package -n mingw64-pixman
Summary:        MinGW Windows Pixman library

%description -n mingw64-pixman
MinGW Windows Pixman library.

%package -n mingw64-pixman-static
Summary:        Static version of the cross compiled Pixman library
Requires:       mingw64-pixman = %{version}-%{release}

%description -n mingw64-pixman-static
Static version of the cross compiled Pixman library.


%{?mingw_debug_package}


%prep
%setup -q -n pixman-%{version}


%build
# Uses GTK for its testsuite, so disable this otherwise
# we have a chicken & egg problem on mingw
%mingw_meson --default-library=both -Dgtk=disabled
%mingw_ninja


%install
%mingw_ninja_install


# Win32
%files -n mingw32-pixman
%license COPYING
%{mingw32_bindir}/libpixman-1-0.dll
%{mingw32_includedir}/pixman-1
%{mingw32_libdir}/libpixman-1.dll.a
%{mingw32_libdir}/pkgconfig/pixman-1.pc

%files -n mingw32-pixman-static
%{mingw32_libdir}/libpixman-1.a

# Win64
%files -n mingw64-pixman
%license COPYING
%{mingw64_bindir}/libpixman-1-0.dll
%{mingw64_includedir}/pixman-1
%{mingw64_libdir}/libpixman-1.dll.a
%{mingw64_libdir}/pkgconfig/pixman-1.pc

%files -n mingw64-pixman-static
%{mingw64_libdir}/libpixman-1.a




%changelog
* Sat Sep 26 2020 tv <tv> 0.40.0-2.mga8
+ Revision: 1630219
- rebuild for new mingw stack

* Tue Apr 21 2020 daviddavid <daviddavid> 0.40.0-1.mga8
+ Revision: 1570286
- new version: 0.40.0
- switch to meson build system

* Sat Feb 15 2020 umeabot <umeabot> 0.38.4-2.mga8
+ Revision: 1525424
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 daviddavid <daviddavid> 0.38.4-1.mga7
+ Revision: 1391996
- new version: 0.38.4

* Sat Dec 01 2018 daviddavid <daviddavid> 0.36.0-1.mga7
+ Revision: 1337012
- new version: 0.36.0

* Wed Sep 19 2018 umeabot <umeabot> 0.34.0-2.mga7
+ Revision: 1264436
- Mageia 7 Mass Rebuild

* Wed May 11 2016 tv <tv> 0.34.0-1.mga6
+ Revision: 1012796
- new release

* Tue Apr 05 2016 tv <tv> 0.33.2-1.mga6
+ Revision: 998639
- new release

* Sat Feb 06 2016 umeabot <umeabot> 0.30.0-7.mga6
+ Revision: 940111
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 738799
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 682508
- Mageia 5 Mass Rebuild

* Sat Oct 26 2013 neoclust <neoclust> 0.30.0-4.mga4
+ Revision: 546990
- imported package mingw-pixman

